Arbor 3: FSM & BT Graph Editor 3.5.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleString Class Reference

参照方法が複数ある柔軟なstring型を扱うクラス。 More...

Inheritance diagram for FlexibleString:

## Public Member Functions
| FlexibleString ()
| FlexibleStringデフォルトコンストラクタ More...
| FlexibleString (string value)
| FlexibleStringコンストラクタ More...
| FlexibleString (StringParameterReference parameter)
| FlexibleStringコンストラクタ More...
| FlexibleString (InputSlotString slot)
| FlexibleStringコンストラクタ More...
object | GetValueObject ()
| 値をobjectで返す。 More...

## Static Public Member Functions
static | operator string (FlexibleString flexible)
| FlexibleStringをstringにキャスト。 More...
static | operator FlexibleString (string value)
| stringをFlexibleStringにキャスト。 More...

## Properties
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
string | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なstring型を扱うクラス。

FlexibleType.Constantの時、Arbor.ConstantMultilineAttribute属性をつけることでエディタのフィールドを複数行表示できる。

## Constructor & Destructor Documentation

FlexibleString | ( |  | ) |

FlexibleStringデフォルトコンストラクタ

FlexibleString | ( | string | value | ) |

FlexibleStringコンストラクタ

Parameters

  value | 値

FlexibleString | ( | StringParameterReference | parameter | ) |

FlexibleStringコンストラクタ

Parameters

  parameter | パラメータ

FlexibleString | ( | InputSlotString | slot | ) |

FlexibleStringコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

object GetValueObject | ( |  | ) |

値をobjectで返す。

Returns
  値のobject

Implements IFlexibleField.

static operator FlexibleString | ( | string | value | ) |
| explicit static

stringをFlexibleStringにキャスト。

Parameters

  value | string

static operator string | ( | FlexibleString | flexible | ) |
| explicit static

FlexibleStringをstringにキャスト。

Parameters

  flexible | FlexibleString

## Property Documentation

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

FlexibleType type
| get

Typeを返す

string value
| get

値を返す